AOZ Studio Beta - Bug #17

Adding hex value to int SUM = 318+$8000
01/17/2020 10:20 PM - Jason Wroe

Status: Closed Start date: 01/17/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

SUM = 318+$8000

Creates a compile error at the first integer.

History

#1 - 01/21/2020 04:15 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3
Fixed!

#2 - 01/22/2020 10:53 PM - Baptiste Pillot

- Status changed from Resolved to Closed

¢ source : https:/www.amos2.fr/ide/Amos2/Ide/Program/427

® run : https://www.amos2.fr/run/tickleman/17/

e resultin 0.9.2.6 : compile error: main.aoz:2:9 syntax error

e resultin 0.9.3.1 : 33086 (notice : $8000 = 32768... + 318 = 33086)
